Redmine - Defect #3161

wrong "self" and "alternate" links in issues feed
2009-04-12 01:14 - Be Fio

Status: Closed Start date: 2009-04-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Feeds Estimated time: 0.00 hour
Target version: 0.8.4

Resolution: Fixed Affected version:

Description

In the Atom feed for a project's issues, <link rel="self"> points to the issues HTML page, and <link rel="alternate"> points to the
homepage of the Redmine instance.

When | add the issues feed as a Firefox bookmark, the "alternate" link is displayed as Open "myproject: Tickets" in the context menu.
When | click on it, | expect the Issues page to open, but what | get is Redmine's welcome page which is not so helpful.

Per the Atom spec, "self" should be the address of the Atom feed itself and "alternate" should be a link to an alternate version, in this
case the HTML version.

Atom spec - The rel attribute

1. The value "alternate" signifies that the IRl in the value of the href attribute identifies an alternate version of the resource
described by the containing element.

3. The value "self" signifies that the IRl in the value of the href attribute identifies a resource equivalent to the containing
element.

Associated revisions

Revision 2697 - 2009-04-26 22:12 - Jean-Philippe Lang

Fixes self and alternate atom links (#3161).

History

#1 - 2009-04-12 01:23 - Be Fio

To clarify, it's Open "myproject: Issues”, "Tickets" is the German version. And by context menu | mean the context menu of the feed in the bookmarks
toolbar, where the "alternate" link is displayed last under the list of current feed entries.

#2 - 2009-04-26 22:05 - Jean-Philippe Lang
- Category set to Feeds

- Status changed from New to Resolved

- Target version set to 0.8.4

- Resolution set to Fixed

Fixed in r2697.

#3 - 2009-05-17 10:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2746.
http://www.atomenabled.org/developers/syndication/atom-format-spec.php#rfc.section.4.2.7.2.p.3
